org.apache.uima.analysis_engine.annotator

## Class AnnotatorConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.uima.UIMAException
      - - org.apache.uima.analysis_engine.annotator.AnnotatorConfigurationException

- All Implemented Interfaces:
    Serializable, I18nExceptionI

      public class AnnotatorConfigurationException
      extends UIMAException

  An `AnnotatorConfigurationException` is thrown by an annotator if the settings of its configuration parameters are invalid.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MUTUALLY_EXCLUSIVE_PARAMS` Message key for a standard UIMA exception message: "Only one of the following parameters may be specified: {0}."
    `static String` | `ONE_PARAM_REQUIRED` Message key for a standard UIMA exception message: "One of the following parameters must be specified: {0}."
    `static String` | `PARAMETER_NOT_VALID` Message key for a standard UIMA exception message: "The value "{0}" is not valid for the {1} parameter."
    `static String` | `RESOURCE_NOT_FOUND` Message key for a standard UIMA exception message: "The resource "{0}" could not be found."

    - ### Fields inherited from class org.apache.uima.UIMAException

      `STANDARD_MESSAGE_CATALOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotatorConfigurationException()` Creates a new exception with a null message.
    `AnnotatorConfigurationException(String aMessageKey, Object[] aArguments)` Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `AnnotatorConfigurationException(String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
    `AnnotatorConfigurationException(String aResourceBundleName, String aMessageKey, Object[] aArguments)` Creates a new exception with a the specified message.
    `AnnotatorConfigurationException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)` Creates a new exception with the specified message and cause.
    `AnnotatorConfigurationException(Throwable aCause)` Creates a new exception with the specified cause and a null message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.uima.UIMAException

      `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.I18nExceptionI

      `getLocalizedMessage, hasMessageKey`

- - ### Field Detail

    - #### PARAMETER_NOT_VALID

          public static final String PARAMETER_NOT_VALID

      Message key for a standard UIMA exception message: "The value "{0}" is not valid for the {1} parameter."
      See Also:
        Constant Field Values

    - #### ONE_PARAM_REQUIRED

          public static final String ONE_PARAM_REQUIRED

      Message key for a standard UIMA exception message: "One of the following parameters must be specified: {0}."
      See Also:
        Constant Field Values

    - #### MUTUALLY_EXCLUSIVE_PARAMS

          public static final String MUTUALLY_EXCLUSIVE_PARAMS

      Message key for a standard UIMA exception message: "Only one of the following parameters may be specified: {0}."
      See Also:
        Constant Field Values

    - #### RESOURCE_NOT_FOUND

          public static final String RESOURCE_NOT_FOUND

      Message key for a standard UIMA exception message: "The resource "{0}" could not be found."
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnnotatorConfigurationException

          public AnnotatorConfigurationException()

      Creates a new exception with a null message.

    - #### AnnotatorConfigurationException

          public AnnotatorConfigurationException(Throwable aCause)

      Creates a new exception with the specified cause and a null message.
      Parameters:
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### AnnotatorConfigurationException

          public AnnotatorConfigurationException(String aResourceBundleName,
                                                 String aMessageKey,
                                                 Object[] aArguments)

      Creates a new exception with a the specified message.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### AnnotatorConfigurationException

          public AnnotatorConfigurationException(String aResourceBundleName,
                                                 String aMessageKey,
                                                 Object[] aArguments,
                                                 Throwable aCause)

      Creates a new exception with the specified message and cause.
      Parameters:
        `aResourceBundleName` - the base name of the resource bundle in which the message for this exception is located.
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

    - #### AnnotatorConfigurationException

          public AnnotatorConfigurationException(String aMessageKey,
                                                 Object[] aArguments)

      Creates a new exception with a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.

    - #### AnnotatorConfigurationException

          public AnnotatorConfigurationException(String aMessageKey,
                                                 Object[] aArguments,
                                                 Throwable aCause)

      Creates a new exception with the specified cause and a message from the `UIMAException.STANDARD_MESSAGE_CATALOG`.
      Parameters:
        `aMessageKey` - an identifier that maps to the message for this exception. The message may contain placeholders for arguments as defined by the `MessageFormat` class.
        `aArguments` - The arguments to the message. `null` may be used if the message has no arguments.
        `aCause` - the original exception that caused this exception to be thrown, if any

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.